Package com.sas.services.information.publicobject

# Interface MutableContainerInterface

All Superinterfaces:
  `PublicObjectContainerInterface`, `PublicObjectInterface`, `Remote`

All Known Subinterfaces:
  `FilteredFolderInterface`, `FilteredRepositoryInterface`, `FolderInterface`, `MyDocumentsInterface`, `MyInboxInterface`, `MyResultsInterface`, `PersonalRepositoryInterface`, `RootFolderInterface`, `VirtualFolderInterface`

All Known Implementing Classes:
  `DavPerson`, `FilteredFolder`, `FilteredRepository`, `Folder`, `MyDocuments`, `MyInbox`, `MyResults`, `PersonalRepository`, `ServerVirtualFolder`, `VirtualFolder`

public interface MutableContainerInterface extends PublicObjectContainerInterface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(PublicObjectInterface newChild)`
  Add a child to this container.
  `void`
  `insertChild(PublicObjectInterface child, int index)`
  Inserts a child into the parent container at the specified index.
  `void`
  `removeChild(PublicObjectInterface child)`
  Remove a child from this container.

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectContainerInterface

  `getChildAt, getChildCount, getChildren, getChildren, newChild`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### addChild

    void addChild(PublicObjectInterface newChild) throws ServiceException, RemoteException
    Add a child to this container. For folders, the new child can be a sub folder, or a simple element.
    Parameters:
      `newChild` - The new child object to add to this container.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeChild

    void removeChild(PublicObjectInterface child) throws ServiceException, RemoteException
    Remove a child from this container. Trying to remove a child and not moving it to another container may be invalid.
    Parameters:
      `child` - The child to remove from this container.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### insertChild

    void insertChild(PublicObjectInterface child, int index) throws ServiceException, RemoteException
    Inserts a child into the parent container at the specified index.
    Parameters:
      `child` - the new child to add to this container
      `index` - the index where the child is to be inserted into
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.
    Since:
      9.3